package com.bcxin.risk.policy.enums;

/**
 * @author LeeJungHyun
 **/
public enum PolicyType {

	POLICY(0, "已支付"),//（保单）
	// 投保单
	POLICYPROPOSAL(1, "待支付");//（投保单）

	public static PolicyType convert(String name){
		if ("POLICY".equals(name)) {
			return POLICY;
		}if ("POLICYPROPOSAL".equals(name)) {
			return POLICYPROPOSAL;
		}
		return POLICYPROPOSAL;
	}

	private PolicyType(Integer code, String description) {
		this.code = code;
		this.description = description;
	}

	private Integer code;
	private String description;

	public Integer getCode() {
		return code;
	}

	public void setCode(Integer code) {
		this.code = code;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}



}
